package co.yixiang.yshop.module.cart.convert.storecart;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import co.yixiang.yshop.module.product.controller.app.cart.vo.AppStoreCartQueryVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.cart.controller.admin.storecart.vo.*;
import co.yixiang.yshop.module.cart.dal.dataobject.storecart.StoreCartDO;

/**
 * 购物车 Convert
 *
 * @author yshop
 */
@Mapper
public interface StoreCartConvert {

    StoreCartConvert INSTANCE = Mappers.getMapper(StoreCartConvert.class);

    StoreCartRespVO convert(StoreCartDO bean);

    AppStoreCartQueryVo convert01(StoreCartDO bean);

    List<StoreCartRespVO> convertList(List<StoreCartDO> list);

    PageResult<StoreCartRespVO> convertPage(PageResult<StoreCartDO> page);


}
